<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Sucursal</title>
</head>

<body>
    <h1>¿Quieres ver las sucursales? Inspecciona la consola</h1>
    <script>
        let sucursal = {
            nombre: 'Sucursal 1',
            direccion: 'direccion 1'
        }
        console.log("Ejecutando un POST")
        fetch("/sucursales", {
            method: 'POST',
            body: JSON.stringify(sucursal)
        })
            .then(function (response) {
                console.log(response);
                return response.json();
            })
            .then(function (datos) {
                console.log(datos);

                sucursal = datos;
                console.log("Ejecutando un GET")
                fetch('/sucursales')
                    .then(function (response) {
                        console.log(response)

                        return response.json()
                    })
                    .then(function (datos) {
                        console.log(datos)
                    })

                sucursal.nombre = "Sucursal 2"
                console.log("Ejecutando un PUT")
                fetch('/sucursales/' + sucursal.id, {
                    method: 'PUT',
                    body: JSON.stringify(sucursal)
                })
                    .then(function (response) {
                        console.log(response);
                        return response.text();
                    })
                    .then(function (datos) {
                        console.log(datos);
                    })
                console.log("Ejecutando un DELETE")
                fetch('/sucursales/' + sucursal.id, {
                    method: 'DELETE'
                })
                    .then(function (response) {
                        console.log(response);
                        return response.text();
                    })
                    .then(function (datos) {
                        console.log(datos);
                    })
            });

    </script>

</body>

</html>